Skip to main content
GET
/
v1
/
deposit
List Deposits
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/deposit \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "deposit_id": "72970a7c-7921-431c-b95f-3438724ba16f",
      "short_reference_id": "P220406-LLCVLRM",
      "amount": "10000",
      "currency": "USD",
      "deposit_fee": "1",
      "deposit_status": "COMPLETED",
      "complete_time": "2024-03-01T00:00:00+08:00",
      "receiver_account_number": "12345678",
      "sender": {
        "sender_name": "UQPAY SG",
        "sender_country": "SG",
        "sender_account_number": "12345678",
        "sender_swift_code": "WELGBE22"
      },
      "deposit_reference": "test reference",
      "create_time": "2024-03-01T00:00:00+08:00"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. Must be between 10 and 100, inclusive.

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve a specific set of items. Must be 1 or greater.

Required range: x >= 1
Example:

1

start_time
string

The start time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

end_time
string

The end time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

status
enum<string>

Status of deposit.

Available options:
PENDING,
COMPLETED,
FAILED
Example:

"COMPLETED"

Response

OK - Successfully retrieved a list of payouts.

total_pages
integer

The total number of pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]